< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package play
  Definition Classes
    hmrc
-  package http
  Definition Classes
    play
-  package ws
  Definition Classes
    http
-  package default
  Definition Classes
    ws
- WSDelete
- WSExecute
- WSGet
- WSHttp
- WSHttpResponse
- WSPatch
- WSPost
- WSProxy
- WSProxyConfiguration
- WSPut
- WSRequest
- WSRequestBuilder

t

uk.gov.hmrc.play.http.ws

# WSPut 

###

#### trait WSPut extends ws.default.WSPut with WSRequest

Linear Supertypes
WSRequest, default.WSPut, WSExecute, WSRequestBuilder, Request, PutHttpTransport, CorePut, AnyRef, Any
Known Subclasses
WSHttp
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSPut
2. WSRequest
3. WSPut
4. WSExecute
5. WSRequestBuilder
6. Request
7. PutHttpTransport
8. CorePut
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def PUT[I, O](url: String, body: I, headers: Seq[(String, String)] = Seq.empty)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePut
2.  abstract def PUTString[O](url: String, body: String, headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePut
3.  abstract def configuration: Config
   Attributes
     protected
   Definition Classes
     WSRequestBuilder
4.  abstract def wsClient: WSClient
   Attributes
     protected
   Definition Classes
     WSRequestBuilder

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def PUT[I, O](url: URL, body: I, headers: Seq[(String, String)])(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePut
5.  final def PUT[I, O](url: URL, body: I)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePut
6.  def PUTString[O](url: URL, body: String, headers: Seq[(String, String)])(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePut
7.  final def PUTString[O](url: URL, body: String)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]
   Definition Classes
     CorePut
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def buildRequest[A](url: String, headers: Seq[(String, String)])(implicit hc: HeaderCarrier): play.api.libs.ws.WSRequest
   Definition Classes
     WSRequest → WSRequestBuilder
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
11.  def doPut[A](url: String, body: A, headers: Seq[(String, String)])(implicit rds: Writes[A], hc: HeaderCarrier, ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      WSPut → PutHttpTransport
12.  def doPutString(url: String, body: String, headers: Seq[(String, String)])(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[HttpResponse]
    Definition Classes
      WSPut → PutHttpTransport
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from WSRequest

### Inherited from default.WSPut

### Inherited from WSExecute

### Inherited from WSRequestBuilder

### Inherited from Request

### Inherited from PutHttpTransport

### Inherited from CorePut

### Inherited from AnyRef

### Inherited from Any

### Ungrouped